﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace Tooska.Payment.ir.shaparak.sayan {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1586.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="merchantBinding", Namespace="http://sayanCard/merchant/definitions")]
    public partial class merchant : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback getPaymentTicketOperationCompleted;
        
        private System.Threading.SendOrPostCallback verifyOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public merchant() {
            this.Url = Tooska.Payment.GatewayAddresses.SAYAN;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event getPaymentTicketCompletedEventHandler getPaymentTicketCompleted;
        
        /// <remarks/>
        public event verifyCompletedEventHandler verifyCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Bare)]
        [return: System.Xml.Serialization.XmlElementAttribute("getPaymentTicketResponse", Namespace="http://sayanCard/merchant/definitions")]
        public getPaymentTicketResponse getPaymentTicket([System.Xml.Serialization.XmlElementAttribute(Namespace="http://sayanCard/merchant/definitions")] getPaymentTicketRequest getPaymentTicketRequest) {
            object[] results = this.Invoke("getPaymentTicket", new object[] {
                        getPaymentTicketRequest});
            return ((getPaymentTicketResponse)(results[0]));
        }
        
        /// <remarks/>
        public void getPaymentTicketAsync(getPaymentTicketRequest getPaymentTicketRequest) {
            this.getPaymentTicketAsync(getPaymentTicketRequest, null);
        }
        
        /// <remarks/>
        public void getPaymentTicketAsync(getPaymentTicketRequest getPaymentTicketRequest, object userState) {
            if ((this.getPaymentTicketOperationCompleted == null)) {
                this.getPaymentTicketOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetPaymentTicketOperationCompleted);
            }
            this.InvokeAsync("getPaymentTicket", new object[] {
                        getPaymentTicketRequest}, this.getPaymentTicketOperationCompleted, userState);
        }
        
        private void OngetPaymentTicketOperationCompleted(object arg) {
            if ((this.getPaymentTicketCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getPaymentTicketCompleted(this, new getPaymentTicketCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Bare)]
        [return: System.Xml.Serialization.XmlElementAttribute("verifyResponse", Namespace="http://sayanCard/merchant/definitions")]
        public verifyResponse verify([System.Xml.Serialization.XmlElementAttribute(Namespace="http://sayanCard/merchant/definitions")] verifyRequest verifyRequest) {
            object[] results = this.Invoke("verify", new object[] {
                        verifyRequest});
            return ((verifyResponse)(results[0]));
        }
        
        /// <remarks/>
        public void verifyAsync(verifyRequest verifyRequest) {
            this.verifyAsync(verifyRequest, null);
        }
        
        /// <remarks/>
        public void verifyAsync(verifyRequest verifyRequest, object userState) {
            if ((this.verifyOperationCompleted == null)) {
                this.verifyOperationCompleted = new System.Threading.SendOrPostCallback(this.OnverifyOperationCompleted);
            }
            this.InvokeAsync("verify", new object[] {
                        verifyRequest}, this.verifyOperationCompleted, userState);
        }
        
        private void OnverifyOperationCompleted(object arg) {
            if ((this.verifyCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.verifyCompleted(this, new verifyCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://sayanCard/merchant/definitions")]
    public partial class getPaymentTicketRequest {
        
        private string merchantIdField;
        
        private string wsp1Field;
        
        private string wsp2Field;
        
        private string amountField;
        
        private string paymentIdField;
        
        private string customerIdField;
        
        /// <remarks/>
        public string merchantId {
            get {
                return this.merchantIdField;
            }
            set {
                this.merchantIdField = value;
            }
        }
        
        /// <remarks/>
        public string wsp1 {
            get {
                return this.wsp1Field;
            }
            set {
                this.wsp1Field = value;
            }
        }
        
        /// <remarks/>
        public string wsp2 {
            get {
                return this.wsp2Field;
            }
            set {
                this.wsp2Field = value;
            }
        }
        
        /// <remarks/>
        public string amount {
            get {
                return this.amountField;
            }
            set {
                this.amountField = value;
            }
        }
        
        /// <remarks/>
        public string paymentId {
            get {
                return this.paymentIdField;
            }
            set {
                this.paymentIdField = value;
            }
        }
        
        /// <remarks/>
        public string customerId {
            get {
                return this.customerIdField;
            }
            set {
                this.customerIdField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://sayanCard/merchant/definitions")]
    public partial class errorOccur {
        
        private int errorCodeField;
        
        private string errorDescriptionField;
        
        /// <remarks/>
        public int errorCode {
            get {
                return this.errorCodeField;
            }
            set {
                this.errorCodeField = value;
            }
        }
        
        /// <remarks/>
        public string errorDescription {
            get {
                return this.errorDescriptionField;
            }
            set {
                this.errorDescriptionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://sayanCard/merchant/definitions")]
    public partial class getPaymentTicketResponse {
        
        private string paymentTicketField;
        
        private errorOccur errorOccurField;
        
        /// <remarks/>
        public string paymentTicket {
            get {
                return this.paymentTicketField;
            }
            set {
                this.paymentTicketField = value;
            }
        }
        
        /// <remarks/>
        public errorOccur errorOccur {
            get {
                return this.errorOccurField;
            }
            set {
                this.errorOccurField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://sayanCard/merchant/definitions")]
    public partial class verifyRequest {
        
        private string merchantIdField;
        
        private string wsp1Field;
        
        private string wsp2Field;
        
        private string paymentTicketField;
        
        /// <remarks/>
        public string merchantId {
            get {
                return this.merchantIdField;
            }
            set {
                this.merchantIdField = value;
            }
        }
        
        /// <remarks/>
        public string wsp1 {
            get {
                return this.wsp1Field;
            }
            set {
                this.wsp1Field = value;
            }
        }
        
        /// <remarks/>
        public string wsp2 {
            get {
                return this.wsp2Field;
            }
            set {
                this.wsp2Field = value;
            }
        }
        
        /// <remarks/>
        public string paymentTicket {
            get {
                return this.paymentTicketField;
            }
            set {
                this.paymentTicketField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1586.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://sayanCard/merchant/definitions")]
    public partial class verifyResponse {
        
        private string resultCodeField;
        
        private string paymentIdField;
        
        /// <remarks/>
        public string resultCode {
            get {
                return this.resultCodeField;
            }
            set {
                this.resultCodeField = value;
            }
        }
        
        /// <remarks/>
        public string paymentId {
            get {
                return this.paymentIdField;
            }
            set {
                this.paymentIdField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1586.0")]
    public delegate void getPaymentTicketCompletedEventHandler(object sender, getPaymentTicketCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1586.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getPaymentTicketCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getPaymentTicketCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public getPaymentTicketResponse Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((getPaymentTicketResponse)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1586.0")]
    public delegate void verifyCompletedEventHandler(object sender, verifyCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1586.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class verifyCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal verifyCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public verifyResponse Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((verifyResponse)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591